Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Mandrake/Mandriva :: va2686.htm

vim vulns



vim
vim




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                       MDVSA-2009:047-1
http://www.mandriva.com/security/ 
 _______________________________________________________________________

 Package : vim
 Date    : February 24, 2009
 Affected: 2008.0
 _______________________________________________________________________

 Problem Description:

 Python has a variable called sys.path that contains all paths where
 Python loads modules by using import scripting procedure. A wrong
 handling of that variable enables local attackers to execute arbitrary
 code via Python scripting in the current Vim working directory
 (CVE-2009-0316).
 
 This update provides fix for that vulnerability.

 Update:

 This update also provides updated packages for Mandriva Linux 2008.0.
 _______________________________________________________________________

 References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0316 
 _______________________________________________________________________

 Updated Packages:

 Mandriva Linux 2008.0:
 436928143868ce9f34832375a10709bc  2008.0/i586/vim-common-7.2.065-9.4mdv2008.0.i586.rpm
 f974a2fc48971d4e6e49f09c112fff0a  2008.0/i586/vim-enhanced-7.2.065-9.4mdv2008.0.i586.rpm
 673a6e6bfc2e6bc329182453ca9a139a  2008.0/i586/vim-minimal-7.2.065-9.4mdv2008.0.i586.rpm
 db5c6e47b9ba3c413ae5bdbd4f2a27a8  2008.0/i586/vim-X11-7.2.065-9.4mdv2008.0.i586.rpm 
 03b7ff33bf257f18929dd758f97f208c  2008.0/SRPMS/vim-7.2.065-9.4mdv2008.0.src.rpm

 Mandriva Linux 2008.0/X86_64:
 f647d006195b0b753fdd64aa52cc090a  2008.0/x86_64/vim-common-7.2.065-9.4mdv2008.0.x86_64.rpm
 e5146968fb87dc62e16977d773606210  2008.0/x86_64/vim-enhanced-7.2.065-9.4mdv2008.0.x86_64.rpm
 e68f05cc9074353ad5d4ba6266fbbf4c  2008.0/x86_64/vim-minimal-7.2.065-9.4mdv2008.0.x86_64.rpm
 62872d970553e355e0f9c5c6c784e86e  2008.0/x86_64/vim-X11-7.2.065-9.4mdv2008.0.x86_64.rpm 
 03b7ff33bf257f18929dd758f97f208c  2008.0/SRPMS/vim-7.2.065-9.4mdv2008.0.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories 

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJo/SdmqjQ0CJFipgRAnEqAJ49jx5zOwHUjJOElyuUvkMoHndG3QCglgew
FyI3IDPcAabD0k4vKk8BZRc=MCAS
-----END PGP SIGNATURE-----



TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH